import messages_en from "./translations/en.json";
import reducer from "./reducer";
import MyModuleMainMenu from './menu/MyModuleMainMenu';
import MyEntitiesPage from './pages/MyEntitiesPage';

const ROUTE_MY_ENTITIES = "my_module/my_entities";

const DEFAULT_CONFIG = {
  "translations": [{ key: "en", messages: messages_en }],
  "reducers": [{ key: 'my_module', reducer }],
  "core.MainMenu": [MyModuleMainMenu],
  "core.Router": [
    { path: ROUTE_MY_ENTITIES, component: MyEntitiesPage },
  ],  
}

export const MyModuleModule = (cfg) => {
  return { ...DEFAULT_CONFIG, ...cfg };
}