import React, { Component } from "react";
import { withTheme, withStyles } from "@material-ui/core/styles";
import { connect } from "react-redux";
import { bindActionCreators } from "redux";
import { FormattedMessage } from "@openimis/fe-core";
import { fetchMyEntities } from "../actions";
import { ProgressOrError } from "@openimis/fe-core";

const styles = theme => ({
    page: theme.page,
});

class MyEntitiesPage extends Component {

    componentDidMount() {
        this.props.fetchMyEntities();
    }

    render() {
        const { classes, fetchingMyEntities, errorMyEntities, myEntities } = this.props;
        return (
            <div className={classes.page}>
                <ProgressOrError progress={fetchingMyEntities} error={errorMyEntities} />
                <FormattedMessage module="my_module" id="MyEntitiesPage.Header" />
                <table>
                    {!!myEntities && myEntities.map(e => (
                        <tr><td>{e.code}</td><td>{e.name}</td></tr>
                    ))}
                </table>
            </div>
        )
    }
}

const mapStateToProps = state => ({
    fetchingMyEntities: state.my_module.fetchingMyEntities,
    errorMyEntities: state.my_module.errorMyEntities,
    fetchedMyEntities: state.my_module.fetchedMyEntities,
    myEntities: state.my_module.myEntities
});

const mapDispatchToProps = dispatch => {
    return bindActionCreators({ fetchMyEntities }, dispatch);
};

export default withTheme(withStyles(styles)(connect(mapStateToProps, mapDispatchToProps)(MyEntitiesPage)));