import {
    formatServerError, formatGraphQLError, parseData
} from '@openimis/fe-core';

function reducer(
    state = {
        fetchingMyEntities: false,
        errorMyEntities: null,
        fetchedMyEntities: false,
        myEntities: [],
    },
    action,
) {
    switch (action.type) {
        case 'MY_MODULE_MY_ENTITIES_REQ':
            return {
                ...state,
                fetchingMyEntities: true,
                fetchedMyEntities: false,
                myEntities: [],
                errorMyEntities: null,
            };
        case 'MY_MODULE_MY_ENTITIES_RESP':
            return {
                ...state,
                fetchingMyEntities: false,
                fetchedMyEntities: true,
                myEntities: parseData(action.payload.data.locations),
                errorMyEntities: formatGraphQLError(action.payload)
            };
        case 'MY_MODULE_MY_ENTITIES_ERR':
            return {
                ...state,
                fetchingMyEntities: false,
                errorMyEntities: formatServerError(action.payload)
            };
        default:
            return state;
    }
}

export default reducer;